Distributor - Get
curl --request GET \
--url https://api.skulabs.com/distributor/get \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.skulabs.com/distributor/get"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.skulabs.com/distributor/get', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"_id": "507f1f77bcf86cd799439011",
"name": "<string>",
"phone": "<string>",
"email": "<string>",
"active": true,
"address": {
"street": "<string>",
"street_2": "<string>",
"city": "<string>",
"state": "<string>",
"zip": "<string>",
"country": "<string>"
},
"terms": "<string>",
"shipping": "<string>",
"memo": "<string>",
"items": [
{
"_id": "507f1f77bcf86cd799439011",
"item_id": "507f1f77bcf86cd799439011",
"cost": 123,
"quantity": 123,
"minimum_quantity": 123,
"lot_quantity": 123,
"part_number": "<string>",
"reorder_point": 123,
"reorder_rule": "<string>",
"notes": "<string>"
}
],
"location_id": "507f1f77bcf86cd799439011"
}
]{
"error": {
"message": "<string>",
"statusCode": 123,
"code": "<string>",
"overview": "<string>",
"origin": "<string>",
"skulabsTraceId": "<string>",
"user_error": true
}
}{
"error": {
"message": "<string>",
"statusCode": 123,
"code": "<string>",
"overview": "<string>",
"origin": "<string>",
"skulabsTraceId": "<string>",
"user_error": true
}
}{
"error": {
"message": "<string>",
"statusCode": 123,
"code": "<string>",
"overview": "<string>",
"origin": "<string>",
"skulabsTraceId": "<string>",
"user_error": true
}
}{
"error": {
"message": "<string>",
"statusCode": 123,
"code": "<string>",
"overview": "<string>",
"origin": "<string>",
"skulabsTraceId": "<string>",
"user_error": true
}
}{
"error": {
"message": "<string>",
"statusCode": 123,
"code": "<string>",
"overview": "<string>",
"origin": "<string>",
"skulabsTraceId": "<string>",
"user_error": true
}
}Distributor
Distributor - Get
Retrieve a paginated list of distributors (suppliers/vendors).
GET
/
distributor
/
get
Distributor - Get
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Query selector object for filtering results
Max results to return
Example:
50
Number of results to skip
Example:
0
Sort fields object, e.g. { "name": 1 }
Projection fields object, e.g. { "name": 1 }
Response
Array of suppliers matching the query
Unique supplier identifier
Example:
"507f1f77bcf86cd799439011"
Supplier name
Supplier phone number
Supplier email address
Whether the supplier is active
Supplier address
Show child attributes
Show child attributes
Default payment terms
Default shipping method
Default memo for purchase orders
Items supplied by this supplier
Show child attributes
Show child attributes
Default location ID for this supplier
Example:
"507f1f77bcf86cd799439011"
⌘I